package com.seatel.mobilehall.ui.home.viewholder

import android.content.Context
import android.view.View
import androidx.recyclerview.widget.RecyclerView
import com.seatel.mobilehall.ui.home.model.MyOrderListModel
import com.seatel.mobilehall.util.Constant
import com.seatel.mobilehall.util.SeatelUtils
import kotlinx.android.synthetic.main.item_my_order_header.view.*

class MyOrderHeaderIdViewHolder(private var mContext: Context, itemView: View) :
    RecyclerView.ViewHolder(itemView) {
    fun onBind(item1: MyOrderListModel) {
        val textOrderDate = itemView.order_date
        val textOrderId = itemView.order_id

        textOrderDate.text =
            SeatelUtils.getDateTime("yyyy-MM-dd", Constant.DATE_FORMAT_DISPLAY, item1.orderDate)
        textOrderId.text = item1.orderId.toString()

        itemView.img_delete.setOnClickListener {

        }
    }

}